package jp.ac.takushoku_u.cs;

/**
* NotSquareMatrixExceptionクラスは正方であるマトリクスに対して行う操作を実行しようとしたが、
* マトリクスが正方でないことを示すためにスローされます。
* @version 1.1
* @author 笠島 裕史(Kasajima Hiroshi)
*/
/*
* 最終更新日 2004年09月27日
*/

public class NotSquareMatrixException extends ArithmeticMatrixException{

/**
* メッセージを持たない NotSquareMatrixException を構築します。
*/
	public NotSquareMatrixException(){
		super();
	}
	
/**
* 指定した詳細メッセージを持つ NotSquareMatrixException を構築します。
* @param s 詳細メッセージ
*/
	public NotSquareMatrixException(String s){
		super(s);
	}
}